--- src/arch/i386/lib/hardwaremain.c	Thu Oct 10 23:02:36 2002
+++ src/arch/i386/lib/hardwaremain.c	Tue Mar 18 21:44:28 2003
@@ -268,9 +268,15 @@
 	displayinit();
 	
 	post_code(0x39);
+#ifndef USE_CUSTOM_GREETING
 	printk_notice("LinuxBIOS-%s%s %s %s...\n", 
 		linuxbios_version, linuxbios_extra_version, linuxbios_build,
 		(boot_complete)?"rebooting":"booting");
+#else
+#warning ********* Using custom greeting
+	printk_notice("%s %s %s...\n",
+		USE_CUSTOM_GREETING, linuxbios_build, (boot_complete)?"rebooting":"booting");
+#endif
 
 	post_code(0x40);
 
